<?php
$uid1="$row_cur_uid[uid]";
$saaid_alt = "$row_alt[saaid]";
$saaid = "$row_akt[saaid]";

########Kontaktdaten HS #####################
$db = dbconnect();
$res_ansp = $db->query("SELECT wert1 name, wert2 mail FROM parameter WHERE pid='6'");
$row_ansp = $res_ansp->fetch_array();

$res_kontakt = $db->query("SELECT wert1 tel, wert2 fax FROM parameter WHERE pid='5'");
$row_kontakt = $res_kontakt->fetch_array();

$res_stud = $db->query("SELECT nachname, vorname, postrasse, poplz, poort, ag, jahrgang FROM stud WHERE uid='$uid1'");
$row_stud = $res_stud->fetch_array();

$res_zuw_alt = $db->query("SELECT date_format(zuweis_dat, '%d.%m.%Y') zuweis_dat FROM stan_antrag WHERE saaid='$saaid_alt'");
$row_zuw_alt = $res_zuw_alt->fetch_array();

$res_zuw_neu = $db->query("SELECT date_format(zuweis_dat, '%d.%m.%Y') zuweis_dat FROM stan_antrag WHERE saaid='$saaid'");
$row_zuw_neu = $res_zuw_neu->fetch_array();


if($hist != 'Y'){
 $heute_format = date("d.m.Y", mktime(0, 0, 0, date("m"), date("d"), date("Y")));  // ISO-8601 Format wie in der Datenbank: Formatierung f&uuml;r Vergleiche erforderlich
}else{
 $res_dat = $db->query("SELECT min(date_format(datum, '%d.%m.%Y')) datum FROM stan_printqueue_hist WHERE zuweisung='EZS' AND admin='$user_admin'");
 $row_dat = $res_dat->fetch_array();
 
 $heute_format = $row_dat[datum];
}

$pdf->Image('anschreiben/logo.jpg', 116, 10,64); #http://www.fpdf.de/funktionsreferenz/?funktion=Image

$pdf->SetFont('Arial', '', 12);
$pdf->SetY(59.5);
$pdf->SetX(23);
$pdf->Cell(0, 3, "$row_stud[vorname] $row_stud[nachname]", 0, 0, 'L');

$pos = $pdf->GetY()+4;

$pdf->SetFont('Arial', '', 12);
$pdf->SetY($pos);
$pdf->SetX(23);
$pdf->Cell(0, 3, "$row_stud[ag] / $row_stud[jahrgang]", 0, 0, 'L');

$pos = $pdf->GetY()+4;

$pdf->SetFont('Arial', '', 12);
$pdf->SetY($pos);
$pdf->SetX(23);
$pdf->Cell(0, 3, "$row_stud[postrasse]", 0, 0, 'L');


$pdf->SetFont('Arial', 'B', 12);
$pdf->SetY(73.5);
$pdf->SetX(23);
$pdf->Cell(0, 3, "$row_stud[poplz] $row_stud[poort]", 0, 0, 'L');


$pdf->SetFont('Arial', 'B', 10);
$pdf->SetY(56);
$pdf->SetX(117.9);
$pdf->MultiCell(47, 3, "Zulassung", 0, 'L');


$pdf->SetFont('Arial', '', 8);
$pos=$pdf->GetY()+3.7;
$pdf->SetY($pos);
$pdf->SetX(117.9);
$pdf->MultiCell(47, 3, "Ludwigsburg,", 0, 'L');


$pdf->SetFont('Arial', '', 8);
$pdf->SetY($pos);
$pdf->SetX(143.1);
$pdf->MultiCell(47, 3, "$heute_format", 0, 'R');

$pos=$pdf->GetY()+0.3;

$pdf->SetFont('Arial', '', 8);
$pdf->SetY($pos);
$pdf->SetX(117.9);
$pdf->MultiCell(47, 3, "Bearbeiterin", 0, 'L');

$pdf->SetFont('Arial', '', 8);
$pdf->SetY($pos);
$pdf->SetX(143.1);
$pdf->MultiCell(47, 3, "$row_ansp[name]", 0, 'R');


$pos=$pdf->GetY()+0.3;

$pdf->SetFont('Arial', '', 8);
$pdf->SetY($pos);
$pdf->SetX(117.9);
$pdf->MultiCell(47, 3, "Telefon", 0, 'L');

$pdf->SetFont('Arial', '', 8);
$pdf->SetY($pos);
$pdf->SetX(143.1);
$pdf->MultiCell(47, 3, "$row_kontakt[tel]", 0, 'R');


$pos=$pdf->GetY()+0.3;

$pdf->SetFont('Arial', '', 8);
$pdf->SetY($pos);
$pdf->SetX(117.9);
$pdf->MultiCell(47, 3, "Fax", 0, 'L');

$pdf->SetFont('Arial', '', 8);
$pdf->SetY($pos);
$pdf->SetX(143.1);
$pdf->MultiCell(47, 3, "$row_kontakt[fax]", 0, 'R');


$pos=$pdf->GetY()+0.3;

$pdf->SetFont('Arial', '', 8);
$pdf->SetY($pos);
$pdf->SetX(117.9);
$pdf->MultiCell(47, 3, "e-mail", 0, 'L');

$pdf->SetFont('Arial', '', 8);
$pdf->SetY($pos);
$pdf->SetX(143.1);
$pdf->MultiCell(47, 3, "$row_ansp[mail]", 0, 'R');

$pdf->SetFont('Arial', '', 8);
$pdf->SetY(45);
$pdf->SetX(23);
$pdf->MultiCell(80, 3, "HS Ludwigsburg ".uchr(149)." Postfach 0489 ".uchr(149)." 71604 Ludwigsburg", 0, 'L');


########Kontaktdaten HS Ende #####################

######## Betreff #################################

$pdf->SetFont('Arial', 'B', 12);
$pdf->SetY(96.2);
$pdf->SetX(23);
$pdf->MultiCell(150, 3, "Änderung der Zuweisung für die praktische Ausbildung;", 0, 'L');


######## Betreff Ende ############################


$pos=$pdf->GetY()+10.0;

$pdf->SetFont('Arial', '', 12);
$pdf->SetY($pos);
$pdf->SetX(23);
$pdf->MultiCell(150, 3, "Sehr geehrte(r) $row_stud[vorname] $row_stud[nachname],", 0, 'L');


$pos=$pdf->GetY()+7.1;


$pdf->SetFont('Arial', '', 12);
$pdf->SetY($pos);
$pdf->SetX(23);
$pdf->MultiCell(168, 4.8, "aufgrund Ihres Änderungsantrages vom $row_zuw_neu[zuweis_dat] wird hiermit der Bescheid über die Zuweisung zu den Ausbildungsstellen in der praktischen Ausbildung der Hochschule Ludwigsburg vom $row_zuw_alt[zuweis_dat] wie folgt geändert:", 0, 'J');



$pos=$pdf->GetY()+3.2;

$pdf->SetFont('Arial', 'U', 12);
$pdf->SetY($pos);
$pdf->SetX(23);
$pdf->MultiCell(168, 7.4, "Bisherige Zuweisung:", 0, 'J');








$jahrgang='08';
$standort='1';
$_POST[termin] = '1';


$db = dbconnect();


$columns = 4; //five columns


$pos=$pdf->GetY()+1.0;


$pdf->SetY($pos);

	//we initialize the table class
	$pdf->Table_Init($columns, true, true);

	$table_subtype = $table_default_table_type;
	$pdf->Set_Table_Type($table_subtype);
	
	//TABLE HEADER SETTINGS
	$header_subtype = $table_default_header_type;
	
	
	for($i=0; $i<$columns; $i++) $header_type[$i] = $table_default_header_type;

	$header_type[0]['WIDTH'] = 29.4;
	$header_type[0]['T_ALIGN'] = "L"; //C=CENTER, L=LEFT, R=RIGHT, J=JUSTIFY
	$header_type[0]['V_ALIGN'] = "M"; //T=TOP, M=MIDDLE, B=BOTTOM
	$header_type[0]['TEXT'] = "Zeitraum";
	
	
	$header_type[1]['WIDTH'] = 59.9;
	$header_type[1]['T_ALIGN'] = "L"; //C=CENTER, L=LEFT, R=RIGHT, J=JUSTIFY
	$header_type[1]['V_ALIGN'] = "M"; //T=TOP, M=MIDDLE, B=BOTTOM
	$header_type[1]['TEXT'] = "Ausbildungsstelle";
	
	$header_type[2]['WIDTH'] = 35;
	$header_type[2]['T_ALIGN'] = "C"; //C=CENTER, L=LEFT, R=RIGHT, J=JUSTIFY
	$header_type[2]['V_ALIGN'] = "M"; //T=TOP, M=MIDDLE, B=BOTTOM
	$header_type[2]['TEXT'] = "Abteilung";
	
	$header_type[3]['WIDTH'] = 44;
	$header_type[3]['T_ALIGN'] = "L"; //C=CENTER, L=LEFT, R=RIGHT, J=JUSTIFY
	$header_type[3]['V_ALIGN'] = "M"; //T=TOP, M=MIDDLE, B=BOTTOM
	$header_type[3]['TEXT'] = "Vertiefungsbereich";
	
#	$header_type[4]['WIDTH'] = 25.7;
#	$header_type[4]['T_ALIGN'] = "C"; //C=CENTER, L=LEFT, R=RIGHT, J=JUSTIFY
#	$header_type[4]['V_ALIGN'] = "M"; //T=TOP, M=MIDDLE, B=BOTTOM
#	$header_type[4]['TEXT'] = "AG-Standort";
	
	#$header_type[1]['COLSPAN'] = "2";

	//set the header type
	$pdf->Set_Header_Type($header_type);
	
	$pdf->Draw_Header();
	
	//TABLE DATA SETTINGS
	$data_subtype = $table_default_data_type;
	
	$data_type = Array();//reset the array
	for ($i=0; $i<$columns; $i++) $data_type[$i] = $data_subtype;

	$pdf->Set_Data_Type($data_type);
	
#	$fsize = 10;
#	$colspan = 1;
#	$rr = 255;

        $db = dbconnect();
        if($hist != 'Y'){
                $query = "SELECT a.saaid, b.aendid
                            FROM stan_printqueue_antrag a, stan_antrag b
                           WHERE a.saaid = b.saaid
                             AND a.zuweisung='AES'
                             AND druckstatus = 'N'
                             AND uid='$uid1'
                           ORDER BY b.beginn
                           ";
        
        }else{
                $query = "SELECT a.saaid, b.aendid
                            FROM stan_printqueue_hist a, stan_antrag b
                           WHERE a.saaid = b.saaid
                             AND a.zuweisung='AES'
                             AND druckstatus = 'N'
                             AND uid='$uid1'
                           ORDER BY b.beginn
                           ";
        }


        $result = $db->query ($query)
           or die ("Cannot execute query1");
           

 
        while ($row = $result->fetch_array())
	{
		$data = Array();
		
                $res_alt_aend = $db->query("SELECT date_format(beginn, '%d.%m.%Y') beginn, date_format(ende, '%d.%m.%Y') ende, dst_id, abteilung, e.bezeichnung
                                               FROM stan_antrag a, stan_vertiefungsbereich e
                                              WHERE a.vert_bereich=e.vbid
                                                AND a.saaid<'$row[saaid]'
                                                AND a.aendid='$row[aendid]'
                                              ORDER BY a.saaid DESC
                                              LIMIT 1");
                $row_alt_aend = $res_alt_aend->fetch_array();
                
                $result_data2 = $db->query("SELECT distinct 1 FROM stan_dienststellen WHERE dst_id= '$row_alt_aend[dst_id]'");
                $rowdata2 = $result_data2->fetch_array();

                if($rowdata2[0] == '1'){
                  $result_data3 = $db->query("SELECT bez
                                                    , str
                                                    , plz
                                                    , postfach
                                                    , plz_postfach
                                                    , ort
                                                    , bundesland
                                                    , staat
                                                 FROM stan_dienststellen
                                                WHERE dst_id='$row_alt_aend[dst_id]'");
                   $rowdata3 = $result_data3->fetch_array();
                   
                }else{

                   $result_data3 = $db->query("SELECT bez
                                                     , str
                                                     , plz
                                                     , postfach
                                                     , plz_postfach
                                                     , ort
                                                     , bundesland
                                                     , staat
                                                  FROM stan_dienststellen_tmp
                                                 WHERE dst_id='$row_alt_aend[dst_id]'");
                    $rowdata3 = $result_data3->fetch_array();
                 }

/* Schriftgröße
		$data[0]['T_SIZE'] = $fsize;
		$data[1]['T_SIZE'] = $fsize+3;
		$data[3]['T_SIZE'] = $fsize+4;
*/
/* Schriftfarbe und Zellenhintergrund
		$data[0]['T_COLOR'] = array(0,0,0); //Schriftfarbe
		$data[0]['BG_COLOR'] = array($rr,$rr,$rr);
		$data[3]['T_COLOR'] = array($rr,240,240);
		$data[3]['BG_COLOR'] = array($rr,100,135);
*/
			$data[0]['TEXT'] = "$row_alt_aend[beginn] -\n$row_alt_aend[ende]";
			$data[0]['T_ALIGN'] = "L"; //C=CENTER, L=LEFT, R=RIGHT, J=JUSTIFY
			$data[0]['V_ALIGN'] = "M"; //T=TOP, M=MIDDLE, B=BOTTOM
		       #$data[0]['T_TYPE'] = "BI"; // B=BOLD, I=ITALIC
			
			$data[1]['TEXT'] = "$rowdata3[bez]";
			$data[1]['T_ALIGN'] = "L";
			$data[1]['V_ALIGN'] = "M";
			
			$data[2]['TEXT'] = "$row_alt_aend[abteilung]";
			$data[2]['T_ALIGN'] = "L";
			$data[2]['V_ALIGN'] = "M";
			
			$data[3]['TEXT'] = "$row_alt_aend[bezeichnung]";
			$data[3]['T_ALIGN'] = "L";
			$data[3]['V_ALIGN'] = "M";
			
			$data[4]['TEXT'] = "$row_alt_aend[standort]";
			$data[4]['T_ALIGN'] = "L";
			$data[4]['V_ALIGN'] = "M";

		$pdf->Draw_Data($data,NULL,6); // -->letzter Parameter Höhe der Datenspalte. Neu prgrammiert in prints/class.fpdf_table.php am 15.04.2009
	}

	$pdf->Draw_Table_Border();


$pos=$pdf->GetY()+3.2;

$pdf->SetFont('Arial', 'U', 12);
$pdf->SetY($pos);
$pdf->SetX(23);
$pdf->MultiCell(168, 7.4, "Geänderte Zuweisung", 0, 'J');




$db = dbconnect();


$columns = 4; //five columns


$pos=$pdf->GetY()+1.0;


$pdf->SetY($pos);

	//we initialize the table class
	$pdf->Table_Init($columns, true, true);

	$table_subtype = $table_default_table_type;
	$pdf->Set_Table_Type($table_subtype);
	
	//TABLE HEADER SETTINGS
	$header_subtype = $table_default_header_type;
	
	
	for($i=0; $i<$columns; $i++) $header_type[$i] = $table_default_header_type;

	$header_type[0]['WIDTH'] = 29.4;
	$header_type[0]['T_ALIGN'] = "L"; //C=CENTER, L=LEFT, R=RIGHT, J=JUSTIFY
	$header_type[0]['V_ALIGN'] = "M"; //T=TOP, M=MIDDLE, B=BOTTOM
	$header_type[0]['TEXT'] = "Zeitraum";
	
	
	$header_type[1]['WIDTH'] = 59.9;
	$header_type[1]['T_ALIGN'] = "L"; //C=CENTER, L=LEFT, R=RIGHT, J=JUSTIFY
	$header_type[1]['V_ALIGN'] = "M"; //T=TOP, M=MIDDLE, B=BOTTOM
	$header_type[1]['TEXT'] = "Ausbildungsstelle";
	
	$header_type[2]['WIDTH'] = 35;
	$header_type[2]['T_ALIGN'] = "C"; //C=CENTER, L=LEFT, R=RIGHT, J=JUSTIFY
	$header_type[2]['V_ALIGN'] = "M"; //T=TOP, M=MIDDLE, B=BOTTOM
	$header_type[2]['TEXT'] = "Abteilung";
	
	$header_type[3]['WIDTH'] = 44;
	$header_type[3]['T_ALIGN'] = "L"; //C=CENTER, L=LEFT, R=RIGHT, J=JUSTIFY
	$header_type[3]['V_ALIGN'] = "M"; //T=TOP, M=MIDDLE, B=BOTTOM
	$header_type[3]['TEXT'] = "Vertiefungsbereich";
	
#	$header_type[4]['WIDTH'] = 25.7;
#	$header_type[4]['T_ALIGN'] = "C"; //C=CENTER, L=LEFT, R=RIGHT, J=JUSTIFY
#	$header_type[4]['V_ALIGN'] = "M"; //T=TOP, M=MIDDLE, B=BOTTOM
#	$header_type[4]['TEXT'] = "AG-Standort";
	
	#$header_type[1]['COLSPAN'] = "2";

	//set the header type
	$pdf->Set_Header_Type($header_type);
	
	$pdf->Draw_Header();
	
	//TABLE DATA SETTINGS
	$data_subtype = $table_default_data_type;
	
	$data_type = Array();//reset the array
	for ($i=0; $i<$columns; $i++) $data_type[$i] = $data_subtype;

	$pdf->Set_Data_Type($data_type);
	
#	$fsize = 10;
#	$colspan = 1;
#	$rr = 255;

        $db = dbconnect();
        if($hist != 'Y'){
        $query = "SELECT a.saaid
                    FROM stan_printqueue_antrag a, stan_antrag b
                   WHERE a.saaid = b.saaid
                     AND a.zuweisung='AES'
                     AND druckstatus = 'N'
                     AND uid='$uid1'
                   ORDER BY b.beginn
                   ";
        }else{
        $query = "SELECT a.saaid
                    FROM stan_printqueue_hist a, stan_antrag b
                   WHERE a.saaid = b.saaid
                     AND a.zuweisung='AES'
                     AND druckstatus = 'N'
                     AND uid='$uid1'
                   ORDER BY b.beginn
                   ";
        }
        $result = $db->query ($query)
           or die ("Cannot execute query1");
           

 
        while ($row = $result->fetch_array())
	{
		$data = Array();
		
                $res_neu_aend = $db->query("SELECT date_format(beginn, '%d.%m.%Y') beginn, date_format(ende, '%d.%m.%Y') ende, dst_id, abteilung, e.bezeichnung
                                               FROM stan_antrag a, stan_vertiefungsbereich e
                                              WHERE a.vert_bereich=e.vbid
                                                AND a.saaid ='$row[saaid]'
                                              ORDER BY a.saaid DESC
                                              LIMIT 1");
                $row_neu_aend = $res_neu_aend->fetch_array();
                
                $result_data2 = $db->query("SELECT distinct 1 FROM stan_dienststellen WHERE dst_id= '$row_neu_aend[dst_id]'");
                $rowdata2 = $result_data2->fetch_array();

                if($rowdata2[0] == '1'){
                  $result_data3 = $db->query("SELECT bez
                                                    , str
                                                    , plz
                                                    , postfach
                                                    , plz_postfach
                                                    , ort
                                                    , bundesland
                                                    , staat
                                                 FROM stan_dienststellen
                                                WHERE dst_id='$row_neu_aend[dst_id]'");
                   $rowdata3 = $result_data3->fetch_array();
                   
                }else{

                   $result_data3 = $db->query("SELECT bez
                                                     , str
                                                     , plz
                                                     , postfach
                                                     , plz_postfach
                                                     , ort
                                                     , bundesland
                                                     , staat
                                                  FROM stan_dienststellen_tmp
                                                 WHERE dst_id='$row_neu_aend[dst_id]'");
                    $rowdata3 = $result_data3->fetch_array();
                 }

/* Schriftgröße
		$data[0]['T_SIZE'] = $fsize;
		$data[1]['T_SIZE'] = $fsize+3;
		$data[3]['T_SIZE'] = $fsize+4;
*/
/* Schriftfarbe und Zellenhintergrund
		$data[0]['T_COLOR'] = array(0,0,0); //Schriftfarbe
		$data[0]['BG_COLOR'] = array($rr,$rr,$rr);
		$data[3]['T_COLOR'] = array($rr,240,240);
		$data[3]['BG_COLOR'] = array($rr,100,135);
*/
			$data[0]['TEXT'] = "$row_neu_aend[beginn] -\n$row_neu_aend[ende]";
			$data[0]['T_ALIGN'] = "L"; //C=CENTER, L=LEFT, R=RIGHT, J=JUSTIFY
			$data[0]['V_ALIGN'] = "M"; //T=TOP, M=MIDDLE, B=BOTTOM
		       #$data[0]['T_TYPE'] = "BI"; // B=BOLD, I=ITALIC
			
			$data[1]['TEXT'] = "$rowdata3[bez]";
			$data[1]['T_ALIGN'] = "L";
			$data[1]['V_ALIGN'] = "M";
			
			$data[2]['TEXT'] = "$row_neu_aend[abteilung]";
			$data[2]['T_ALIGN'] = "L";
			$data[2]['V_ALIGN'] = "M";
			
			$data[3]['TEXT'] = "$row_neu_aend[bezeichnung]";
			$data[3]['T_ALIGN'] = "L";
			$data[3]['V_ALIGN'] = "M";
			
			$data[4]['TEXT'] = "$row_neu_aend[standort]";
			$data[4]['T_ALIGN'] = "L";
			$data[4]['V_ALIGN'] = "M";

		$pdf->Draw_Data($data,NULL,6); // -->letzter Parameter Höhe der Datenspalte. Neu prgrammiert in prints/class.fpdf_table.php am 15.04.2009
	}

	$pdf->Draw_Table_Border();





$pos=$pdf->GetY()+6.4;

$pdf->SetFont('Arial', '', 12);
$pdf->SetY($pos);
$pdf->SetX(23);
$pdf->MultiCell(168, 4.8, "Die übrigen Bestimmungen des Bescheids vom $row_zuw_alt[zuweis_dat]  gelten weiterhin.", 0, 'J');


$pos=$pdf->GetY()+5.0;

$pdf->SetFont('Arial', '', 12);
$pdf->SetY($pos);
$pdf->SetX(23);
$pdf->MultiCell(168, 4.8, "Mit freundlichen Grüßen", 0, 'J');


$pos=$pdf->GetY()+14.8;

$pdf->SetFont('Arial', '', 12);
$pdf->SetY($pos);
$pdf->SetX(23);
$pdf->MultiCell(168, 4.8, "$row_ansp[name]", 0, 'J');

$pos=$pdf->GetY()+5.0;

$pdf->SetFont('Arial', '', 8);
$pdf->SetY($pos);
$pdf->SetX(23);
$pdf->MultiCell(168, 4.8, "Hinweis: Aus technischen Gründen erhalten Sie auch bei geringfügigen Änderungen ein neues Zuweisungsschreiben.", 0, 'J');

?>